# frozen_string_literal: true

module ActionButtons
  class SplitButtonComponent < BaseComponent
    attr_reader :tagset, :user

    def initialize(tagset:, user:)
      @tagset = tagset
      @user = user
      super
    end

    def render?
      return false unless tagset.one_doc? && tagset.docs.to_a.first.pdf?

      SpiritHub::TagsetsPolicy.new(user, tagset).split_form?
    end
  end
end
